.TH QTPY-GET-DEPENDENCIES "1" "December 2024" "Debian" "User Commands"
.SH NAME
qtpy-get-dependencies \- get Debian package dependencies for qtpy modules
.SH SYNOPSIS
\fBqtpy\-get\-dependencies\fR [\fB\-h\fR] [\fB\-\-pyqt5\fR |
\fB\-\-pyqt6\fR | \fB\-\-pyside6\fR] [\fB\-\-version\fR]
\fImodule\fR [\fImodule\fR ...]
.PP
List Debian package dependencies for a set of QtPy modules
.SH DESCRIPTION
A qtpy-using package requires a Python Qt library behind it.  This
script takes a list of QtPy modules (obtained, for example, by
searching a package's source files for the string "from qtpy import"),
and returns a list of Debian packages required for this package, ready
to be included in the binary Depends field of the package's
debian/control file.
.PP
See the file /usr/share/doc/python3-qtpy/README.Debian for more
information on the way that qtpy chooses which backend to use.
.SH OPTIONS
.TP
\fB\-h\fR, \fB\-\-help\fR
show this help message and exit
.TP
\fB\-\-pyqt5\fR
Give PyQt5 dependencies (default)
.TP
\fB\-\-pyqt6\fR
Give PyQt6 dependencies
.TP
\fB\-\-pyside6\fR
Give PySide 6 dependencies
.TP
\fB\-\-version\fR
show program's version number and exit
.TP
\fImodule\fR
Name of qtpy module imported (with or without leading 'qtpy.')
